"""Define a browser view for the 'Todo folder' content type. In the FTI 
configured in profiles/default/types/*.xml, this is being set as the default
view of that content type.
"""

from Acquisition import aq_inner

from Products.Five.browser import BrowserView
from Products.Five.browser.pagetemplatefile import ViewPageTemplateFile

from plone.app.content.browser.foldercontents import FolderContentsView

class Todo_folderView(FolderContentsView):
    """Default view of a Todo folder
    """

    __call__ = ViewPageTemplateFile('todofolder.pt')

    def folder_listing(self):
        results = ''
        for i in self.context.objectIds():
            obj = self.context.unrestrictedTraverse('/'.join(self.context.getPhysicalPath()) + '/' + i)
            url = obj.absolute_url()
            num = self.getNum(obj)
            title = obj.Title()
            done = obj.getDone()
            if not done:
                if num == 1:
                    results += ("<li><a href='%s'>%s</a><span class='discreet'> (%s sub-item)</span></li>" %
                        (url,title,num))
                else:
                    results += ("<li><a href='%s'>%s</a><span class='discreet'> (%s sub-items)</span></li>" %
                        (url,title,num))
        return results 

    def getNum(self, obj):
        num = 0
        for item in obj.objectIds(): 
            o = self.context.unrestrictedTraverse('/'.join(self.context.getPhysicalPath()) +
                '/' + obj.getId() + '/' + item)
            if not o.getDone():
                num += 1
        return num
