"""Definition of the Todo folder content type
"""

from zope.interface import implements, directlyProvides

from Products.Archetypes import atapi
from Products.ATContentTypes.content import folder
from Products.ATContentTypes.content import schemata

from Products.todo import todoMessageFactory as _
from Products.todo.interfaces import ITodofolder
from Products.todo.config import PROJECTNAME

TodofolderSchema = folder.ATFolderSchema.copy() + atapi.Schema((

    # -*- Your Archetypes field definitions here ... -*-

))

# Set storage on fields copied from ATFolderSchema, making sure
# they work well with the python bridge properties.

TodofolderSchema['title'].storage = atapi.AnnotationStorage()
TodofolderSchema['title'].widget.label = 'Name'
TodofolderSchema['description'].storage = atapi.AnnotationStorage()
TodofolderSchema['description'].widget.description = 'A short summary of the todo folder.'

schemata.finalizeATCTSchema(TodofolderSchema, folderish=True, moveDiscussion=False)

class Todofolder(folder.ATFolder):
    """A folder that contains todo list items"""
    implements(ITodofolder)

    portal_type = "Todo folder"
    meta_type = "Todo folder"
    schema = TodofolderSchema

    title = atapi.ATFieldProperty('title')
    description = atapi.ATFieldProperty('description')

atapi.registerType(Todofolder, PROJECTNAME)
